<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Taller4</title>
    <link rel="stylesheet" href="estilos.css">

<!--Ejercicio 1-->
    <script type="text/javascript">
        function octalAdecimal(){
            var octal=prompt("Ingrese el valor octal")
            var decimal= parseInt (octal,8)
            alert("El valor octal " +octal+ " ingresado es equivalente a: " +decimal+ " en base decimal")
        }
    </script>
 
 <!--Ejercicio 2-->
    <script type="text/javascript">
    function Producto_alimenticio(codigo, nombre, precio){
                this.codigo=codigo;
                this.nombre=nombre;
                this.precio=precio;
            }
     function imprimeDatos(){
    }
    </script>
</head>

<body>
<!--Ejercicio 1-->
    <fieldset class="contenedor">
        <legend>
            <h1>Actividad1</h1>
        </legend>
            <h2>
                Cree un scrip que solicite un valor numérico al usuario en base octal(8)
                y posteriormente muestre su equivalente en base decimal (10)
            </h2>
            <button onclick="octalAdecimal()">Ingresar el valor octal</button>
    </fieldset>

    <!--Ejercicio 2-->
    <fieldset class="contenedor">
        <legend>
            <h1>Actividad2</h1>
        </legend>
        <h2>Cree un script que defina un objeto llamado Producto_alimenticio, este objeto debe 
            presentar las propiedades código, nombre y precio, además del método imprimeDatos, 
            el cual escribe por pantalla los valores de sus propiedades. Posteriormente, cree 
            tres instancias de este objeto y guárdelas en un array. Con la ayuda del bucle for, 
            utilice el método imprimeDatos para mostrar por pantalla los valores de los tres objetos instanciados.</h2>
        <h3><script type="text/javascript">
            var miProducto= new Array(3);
            miProducto [0]= new Producto_alimenticio ('1234', 'Carne', '$5');
            miProducto [1]= new Producto_alimenticio ("4567", "Arroz", "$3");
            miProducto [2]= new Producto_alimenticio ("7890", "fideos", "$2");

            for(i=0; i<miProducto.length; i++){
                document.write("Código: " + miProducto[i].codigo+
                " - Nombre: " +miProducto[i].nombre+ 
                " - Precio: " +miProducto[i].precio +"<br>");
            }
            imprimeDatos();
        </script>   </h3>     
    </fieldset>
</body>
</html>
